﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplicationDemo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            WCF.AddService.AddServiceClient proxy = new WCF.AddService.AddServiceClient();
            proxy.GetPersonCompleted += new EventHandler<WCF.AddService.GetPersonCompletedEventArgs>(proxy_GetPersonCompleted);
            proxy.GetPersonAsync(new WCF.AddService.Person() { Name="LeonWeng", Age=23 });
        }

        void proxy_GetPersonCompleted(object sender, WCF.AddService.GetPersonCompletedEventArgs e)
        {
            if(e.Error==null)
            {
                var person = e.Result;
                MessageBox.Show(person.Age.ToString());
            }
        }
    }
}
